=== debian/control ===
Source: sisu-ioc
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Damien Raude-Morvan <drazzib@debian.org>
Build-Depends:
 debhelper (>= 10),
 default-jdk,
 junit4,
 libaopalliance-java,
 libatinject-jsr330-api-java,
 libcdi-api-java,
 libfelix-framework-java,
 liblogback-java,
 libmaven-bundle-plugin-java,
 libmaven-dependency-plugin-java,
 libplexus-classworlds-java (>= 2.5.2),
 libplexus-component-annotations-java,
 libplexus-utils2-java,
 libsisu-guice-java,
 maven-debian-helper (>= 2.2),
 testng (>= 6.8.7)
Standards-Version: 4.1.1
Vcs-Git: https://anonscm.debian.org/git/pkg-java/sisu-ioc.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/sisu-ioc.git
Homepage: http://sisu.sonatype.org

Package: libsisu-ioc-java
Architecture: all
Depends: ${maven:Depends}, ${misc:Depends}
Suggests: ${maven:OptionalDepends}
Description: JSR 330 container and OSGi/Plexus adapter
 Sisu is a fully compliant JSR330 container that supports classpath scanning,
 auto-binding, and dynamic auto-wiring. Sisu uses patched Google Guice to
 perform dependency injection and provides the JSR330 support.
 .
 Sisu also provides a replacement Plexus container that builds on top of the
 JSR330 core. Plexus is the dependency injection container used in Maven 2.x.
