=== debian/watch ===
version=3
https://github.com/sonatype/sisu/tags .*/sisu-([\d\.]+).tar.gz debian debian/orig-tar.sh
